---
title: "Projects"
date: 2022-06-30
draft: false
---

## Individual projects

- [avahi-dns](https://github.com/ericonr/avahi-dns): turn mDNS domains as
  reported by Avahi into DNS records. Might someday become a proper DNS server.
- [dnsquery](https://github.com/ericonr/dnsquery): DNS client written for
  learning purposes.
- [ep](https://github.com/ericonr/ep): my shell prompt. Uses threads
  oportunistically.
- [erm](https://github.com/ericonr/erm): a threaded rm(1) implementation. Use
  at your own peril.
- [get-otp](https://github.com/ericonr/get-otp): shell + C project for a very
  simple terminal client for TOTP codes, without depending on a phone.
- [purr-c](https://github.com/ericonr/purr-c): C project using BearSSL to learn
  some networking, basic crypto and SSL. It is mainly a client for the
  [PurritoBin](https://github.com/PurritoBin/PurritoBin) pastebin, but also
  grew to include a Gemini client.

### No longer being used or developed

- [AppPauser](https://github.com/ericonr/AppPauser): Go project on Linux for
  sending SIGSTP and SIGCON signals to a monitored application.
- [AppPauserRunit](https://github.com/ericonr/AppPauserRunit):
  Re-implementation of AppPauser, but using runit + shell instead. Much tidier.
- [aluno\_exatas](https://github.com/ericonr/aluno_exatas): tools for
  simplifying data processing after lab procedures, in Python.
- [generate-sb-efi](https://github.com/ericonr/generate-sb-efi): Python utility
  for dealing with UEFI bundles.

## Contributions

These are some projects I have contributed to, and would recommend checking
out. Due to packaging (and sometimes even documentation) work in Void Linux, I
have also made small contributions to many projects. Every little bit helps,
even if it's just some build system clean up 😀.

### Void Linux

[Void Linux](https://github.com/void-linux): an independent Linux distribution.
I am part of the organization, and have contributed packaging and
documentation.

### System software

- [fish-shell](https://github.com/fish-shell/fish-shell): the user-friendly
  command line shell.
- [musl libc](https://musl.libc.org): a small, standards compliant standard C
  library for Linux systems.
- [sbctl](https://github.com/Foxboron/sbctl): a Secure Boot manager that aims
  to provide a consistent UI for key management.
- [sndio](https://sndio.org): small audio and MIDI framework.
- [ugrep](https://github.com/Genivia/ugrep): ultra fast grep alternative.
- [util-linux](https://github.com/util-linux/util-linux): set of basic system
  utilities, complements coreutils.
- [zfs](https://github.com/openzfs/zfs): OpenZFS, the ZFS implementation used
  on Linux and FreeBSD.
- [zfsbootmenu](https://github.com/zbm-dev/zfsbootmenu): a Linux bootloader
  that intends to provide a similar experience to FreeBSD's bootloader, which
  allows a user to have multiple boot environments as well as easy access and
  management of ZFS snapshots.

### Wayland

- [Waybar](https://github.com/Alexays/Waybar): a customizable status bar for
  Wayland compositors.
- [Wayfire](https://github.com/WayfireWM/wayfire): a 3D Wayland compositor
  inspired by Compiz. Features great wobbling windows.
- [gammastep](https://gitlab.com/chinstrap/gammastep): a life saver application
  to adjust the color temperature of the screen.
- [kanshi](https://sr.ht/~emersion/kanshi/): dynamic display configuration for
  Wayland.
- [nwg-launchers](https://github.com/nwg-piotr/nwg-launchers): varied launchers
  for Wayland compositors.

### Other projects

- [md2gemini](https://github.com/makeworld-the-better-one/md2gemini): a file
  converter from Markdown to Gemini. Check out
  [Gemini](https://gemini.circumlunar.space/)!
